Subject: Re: [PATCH v3 19/44] refs-be-files.c: add a backend method structure with transaction functions

From: Michael Haggerty <[email-masked]>
Date: Tue, 13 Oct 2015 23:12:36 +0200

On 10/13/2015 08:28 PM, David Turner wrote:
> On Tue, 2015-10-13 at 09:56 +0200, Michael Haggerty wrote:
>> On 10/12/2015 11:51 PM, David Turner wrote:
>>> [...]
>>> +extern struct ref_be refs_be_files;
>>
>> I don't think that refs_be_files is needed in the public interface.
> 
> We use refs_be_lmdb in a few other places to set up the lmdb backend, so
> I thought I would put refs_be_files in refs.h too.  But I can remove
> refs_be_files and just stick it in the places it's needed.

It's OK then. It doesn't hurt to leave it for consistency's sake.

Michael

-- 
Michael Haggerty
[email-masked]